<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.cmd.LeadConvoy</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Lead a convoy to a sector</description>
<arguments>
<argument index="1" name="sector.Target" type="Var/Sector" desc="Target sector" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>Set&#160;command&#160;display</var></comment></line>
<line linenr="006" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_MOVE_SECTOR</var><text>&#160;&#160;target=</text><var>$sector.Target</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="007" indent=""><text>set&#160;script&#160;command:&#160;</text><var>COMMAND_XAI_XTC2_NAV_LEAD_CONVOY</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><comment><text>*&#160;</text><var>Fly&#160;to&#160;destination</var></comment></line>
<line linenr="010" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.XTC2.fly.CnvytoSector</call><text>&#160;:&#160;</text><text>&#160;Target&#160;Sector=</text><var>$sector.Target</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><comment><text>*&#160;</text><var>wait&#160;in&#160;position&#160;afterarriving</var></comment></line>
<line linenr="013" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;to&#160;position:&#160;x=</text><var>10000</var><text>&#160;y=</text><var>1000</var><text>&#160;z=</text><var>15000</var><text>&#160;with&#160;precision&#160;</text><var>2000</var><text>&#160;m</text></line>
<line linenr="014" indent=""><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_STAY</var><text>&#160;:&#160;arg1=</text><var>null</var><text>,&#160;arg2=</text><var>null</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="015" indent=""></line>
<line linenr="016" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.cmd.LeadConvoy" /><sval type="int" val="25" /><sval type="string" val="Lead a convoy to a sector" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="1"><sval type="string" val="sector.Target" /></sval><sval type="array" size="6"><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="226" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.XTC2.fly.CnvytoSector" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="12"><sval type="int" val="523" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10000" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="4" /><sval type="int" val="15000" /><sval type="int" val="4" /><sval type="int" val="2000" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Target sector" /></sval></sval><sval type="array" size="10"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Set command display" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="Fly to destination" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="wait in position afterarriving" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval></sval><sval type="int" val="226" /></sval>
</codearray>
</script>
